
@article{cardelli1987basic,
  title={Basic polymorphic typechecking},
  author={Cardelli, Luca},
  journal={Science of computer programming},
  volume={8},
  number={2},
  pages={147--172},
  year={1987},
  publisher={Elsevier}
}
